cURL
curl --request POST \ --url https://sandbox.finhub.cloud/api/v2.1/fincard/virtual/card/updatePin \ --header 'Content-Type: application/json' \ --header 'X-Forwarded-From: <x-forwarded-from>' \ --data ' { "cardId": "<string>", "merchantOrderNo": "<string>", "pin": "<string>" } '
{ "success": true, "code": 200, "msg": "Success", "data": { "cardId": "card-12345678", "operationType": "FREEZE", "operationStatus": "COMPLETED", "transactionId": "tx-12345678", "operationTime": 1640995200000, "newCardStatus": "FROZEN", "previousCardStatus": "ACTIVE", "reason": "Customer request" } }
Update physical card PIN (6 digits)
User agent
Forwarded for
Client application identifier
"client-app"
Tenant ID
Device ID
Platform
Update PIN request
Update PIN request (physical)
Card ID
Client transaction reference. length[15...65]
New PIN. 6 digits
Successful response
Update PIN response
Success flag
true
Response code
200
Response message
"Success"
PIN update result
Show child attributes